summaryrefslogtreecommitdiffstats
path: root/source/xap/mozilla-thunderbird
diff options
context:
space:
mode:
Diffstat (limited to 'source/xap/mozilla-thunderbird')
-rwxr-xr-xsource/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild3
-rw-r--r--source/xap/mozilla-thunderbird/mozilla-thunderbird.gettid.diff10
2 files changed, 13 insertions, 0 deletions
diff --git a/source/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild b/source/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild
index b03c373b7..6047eb6ec 100755
--- a/source/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild
+++ b/source/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild
@@ -164,6 +164,9 @@ zcat $CWD/tb.ui.scrollToClick.diff.gz | patch -p2 --verbose || exit 1
# Fix building with latest Rust:
zcat $CWD/unbreakdocs.diff.gz | patch -p1 --verbose || exit 1
+# Fix for glibc-2.30's new gettid() definition:
+zcat $CWD/mozilla-thunderbird.gettid.diff.gz | patch -p1 --verbose || exit 1
+
# Fetch localization, if requested:
if [ ! -z $MOZLOCALIZE ]; then
LOC_TAG="THUNDERBIRD_$( echo $VERSION | tr \. _ )_RELEASE"
diff --git a/source/xap/mozilla-thunderbird/mozilla-thunderbird.gettid.diff b/source/xap/mozilla-thunderbird/mozilla-thunderbird.gettid.diff
new file mode 100644
index 000000000..83d607a5d
--- /dev/null
+++ b/source/xap/mozilla-thunderbird/mozilla-thunderbird.gettid.diff
@@ -0,0 +1,10 @@
+--- ./tools/profiler/core/platform.h.orig 2019-07-03 10:25:38.000000000 -0500
++++ ./tools/profiler/core/platform.h 2019-08-20 13:15:02.648307043 -0500
+@@ -47,7 +47,6 @@
+ #if defined(__GLIBC__)
+ #include <unistd.h>
+ #include <sys/syscall.h>
+-static inline pid_t gettid() { return (pid_t)syscall(SYS_gettid); }
+ #elif defined(GP_OS_darwin)
+ #include <unistd.h>
+ #include <sys/syscall.h>